Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network250.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
250.0.0.0
Broadcast address
251.255.255.255
First usable
250.0.0.1
Last usable
251.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FA000000 · Integer 4194304000 to 4227858431
Reverse DNS zones
250.in-addr.arpa
251.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111010.00000000.00000000.00000000250.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network11111010.00000000.00000000.00000000250.0.0.0
Broadcast11111011.11111111.11111111.11111111251.255.255.255
Split into smaller subnets/15

250.0.0.0/7 makes 256 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1250.0.0.0/15250.0.0.1 to 250.1.255.254250.1.255.255131,070
2250.2.0.0/15250.2.0.1 to 250.3.255.254250.3.255.255131,070
3250.4.0.0/15250.4.0.1 to 250.5.255.254250.5.255.255131,070
4250.6.0.0/15250.6.0.1 to 250.7.255.254250.7.255.255131,070
5250.8.0.0/15250.8.0.1 to 250.9.255.254250.9.255.255131,070
6250.10.0.0/15250.10.0.1 to 250.11.255.254250.11.255.255131,070
7250.12.0.0/15250.12.0.1 to 250.13.255.254250.13.255.255131,070
8250.14.0.0/15250.14.0.1 to 250.15.255.254250.15.255.255131,070
9250.16.0.0/15250.16.0.1 to 250.17.255.254250.17.255.255131,070
10250.18.0.0/15250.18.0.1 to 250.19.255.254250.19.255.255131,070
11250.20.0.0/15250.20.0.1 to 250.21.255.254250.21.255.255131,070
12250.22.0.0/15250.22.0.1 to 250.23.255.254250.23.255.255131,070
13250.24.0.0/15250.24.0.1 to 250.25.255.254250.25.255.255131,070
14250.26.0.0/15250.26.0.1 to 250.27.255.254250.27.255.255131,070
15250.28.0.0/15250.28.0.1 to 250.29.255.254250.29.255.255131,070
16250.30.0.0/15250.30.0.1 to 250.31.255.254250.31.255.255131,070
17250.32.0.0/15250.32.0.1 to 250.33.255.254250.33.255.255131,070
18250.34.0.0/15250.34.0.1 to 250.35.255.254250.35.255.255131,070
19250.36.0.0/15250.36.0.1 to 250.37.255.254250.37.255.255131,070
20250.38.0.0/15250.38.0.1 to 250.39.255.254250.39.255.255131,070
21250.40.0.0/15250.40.0.1 to 250.41.255.254250.41.255.255131,070
22250.42.0.0/15250.42.0.1 to 250.43.255.254250.43.255.255131,070
23250.44.0.0/15250.44.0.1 to 250.45.255.254250.45.255.255131,070
24250.46.0.0/15250.46.0.1 to 250.47.255.254250.47.255.255131,070
25250.48.0.0/15250.48.0.1 to 250.49.255.254250.49.255.255131,070
26250.50.0.0/15250.50.0.1 to 250.51.255.254250.51.255.255131,070
27250.52.0.0/15250.52.0.1 to 250.53.255.254250.53.255.255131,070
28250.54.0.0/15250.54.0.1 to 250.55.255.254250.55.255.255131,070
29250.56.0.0/15250.56.0.1 to 250.57.255.254250.57.255.255131,070
30250.58.0.0/15250.58.0.1 to 250.59.255.254250.59.255.255131,070
31250.60.0.0/15250.60.0.1 to 250.61.255.254250.61.255.255131,070
32250.62.0.0/15250.62.0.1 to 250.63.255.254250.63.255.255131,070
33250.64.0.0/15250.64.0.1 to 250.65.255.254250.65.255.255131,070
34250.66.0.0/15250.66.0.1 to 250.67.255.254250.67.255.255131,070
35250.68.0.0/15250.68.0.1 to 250.69.255.254250.69.255.255131,070
36250.70.0.0/15250.70.0.1 to 250.71.255.254250.71.255.255131,070
37250.72.0.0/15250.72.0.1 to 250.73.255.254250.73.255.255131,070
38250.74.0.0/15250.74.0.1 to 250.75.255.254250.75.255.255131,070
39250.76.0.0/15250.76.0.1 to 250.77.255.254250.77.255.255131,070
40250.78.0.0/15250.78.0.1 to 250.79.255.254250.79.255.255131,070
41250.80.0.0/15250.80.0.1 to 250.81.255.254250.81.255.255131,070
42250.82.0.0/15250.82.0.1 to 250.83.255.254250.83.255.255131,070
43250.84.0.0/15250.84.0.1 to 250.85.255.254250.85.255.255131,070
44250.86.0.0/15250.86.0.1 to 250.87.255.254250.87.255.255131,070
45250.88.0.0/15250.88.0.1 to 250.89.255.254250.89.255.255131,070
46250.90.0.0/15250.90.0.1 to 250.91.255.254250.91.255.255131,070
47250.92.0.0/15250.92.0.1 to 250.93.255.254250.93.255.255131,070
48250.94.0.0/15250.94.0.1 to 250.95.255.254250.95.255.255131,070
49250.96.0.0/15250.96.0.1 to 250.97.255.254250.97.255.255131,070
50250.98.0.0/15250.98.0.1 to 250.99.255.254250.99.255.255131,070
51250.100.0.0/15250.100.0.1 to 250.101.255.254250.101.255.255131,070
52250.102.0.0/15250.102.0.1 to 250.103.255.254250.103.255.255131,070
53250.104.0.0/15250.104.0.1 to 250.105.255.254250.105.255.255131,070
54250.106.0.0/15250.106.0.1 to 250.107.255.254250.107.255.255131,070
55250.108.0.0/15250.108.0.1 to 250.109.255.254250.109.255.255131,070
56250.110.0.0/15250.110.0.1 to 250.111.255.254250.111.255.255131,070
57250.112.0.0/15250.112.0.1 to 250.113.255.254250.113.255.255131,070
58250.114.0.0/15250.114.0.1 to 250.115.255.254250.115.255.255131,070
59250.116.0.0/15250.116.0.1 to 250.117.255.254250.117.255.255131,070
60250.118.0.0/15250.118.0.1 to 250.119.255.254250.119.255.255131,070
61250.120.0.0/15250.120.0.1 to 250.121.255.254250.121.255.255131,070
62250.122.0.0/15250.122.0.1 to 250.123.255.254250.123.255.255131,070
63250.124.0.0/15250.124.0.1 to 250.125.255.254250.125.255.255131,070
64250.126.0.0/15250.126.0.1 to 250.127.255.254250.127.255.255131,070
65250.128.0.0/15250.128.0.1 to 250.129.255.254250.129.255.255131,070
66250.130.0.0/15250.130.0.1 to 250.131.255.254250.131.255.255131,070
67250.132.0.0/15250.132.0.1 to 250.133.255.254250.133.255.255131,070
68250.134.0.0/15250.134.0.1 to 250.135.255.254250.135.255.255131,070
69250.136.0.0/15250.136.0.1 to 250.137.255.254250.137.255.255131,070
70250.138.0.0/15250.138.0.1 to 250.139.255.254250.139.255.255131,070
71250.140.0.0/15250.140.0.1 to 250.141.255.254250.141.255.255131,070
72250.142.0.0/15250.142.0.1 to 250.143.255.254250.143.255.255131,070
73250.144.0.0/15250.144.0.1 to 250.145.255.254250.145.255.255131,070
74250.146.0.0/15250.146.0.1 to 250.147.255.254250.147.255.255131,070
75250.148.0.0/15250.148.0.1 to 250.149.255.254250.149.255.255131,070
76250.150.0.0/15250.150.0.1 to 250.151.255.254250.151.255.255131,070
77250.152.0.0/15250.152.0.1 to 250.153.255.254250.153.255.255131,070
78250.154.0.0/15250.154.0.1 to 250.155.255.254250.155.255.255131,070
79250.156.0.0/15250.156.0.1 to 250.157.255.254250.157.255.255131,070
80250.158.0.0/15250.158.0.1 to 250.159.255.254250.159.255.255131,070
81250.160.0.0/15250.160.0.1 to 250.161.255.254250.161.255.255131,070
82250.162.0.0/15250.162.0.1 to 250.163.255.254250.163.255.255131,070
83250.164.0.0/15250.164.0.1 to 250.165.255.254250.165.255.255131,070
84250.166.0.0/15250.166.0.1 to 250.167.255.254250.167.255.255131,070
85250.168.0.0/15250.168.0.1 to 250.169.255.254250.169.255.255131,070
86250.170.0.0/15250.170.0.1 to 250.171.255.254250.171.255.255131,070
87250.172.0.0/15250.172.0.1 to 250.173.255.254250.173.255.255131,070
88250.174.0.0/15250.174.0.1 to 250.175.255.254250.175.255.255131,070
89250.176.0.0/15250.176.0.1 to 250.177.255.254250.177.255.255131,070
90250.178.0.0/15250.178.0.1 to 250.179.255.254250.179.255.255131,070
91250.180.0.0/15250.180.0.1 to 250.181.255.254250.181.255.255131,070
92250.182.0.0/15250.182.0.1 to 250.183.255.254250.183.255.255131,070
93250.184.0.0/15250.184.0.1 to 250.185.255.254250.185.255.255131,070
94250.186.0.0/15250.186.0.1 to 250.187.255.254250.187.255.255131,070
95250.188.0.0/15250.188.0.1 to 250.189.255.254250.189.255.255131,070
96250.190.0.0/15250.190.0.1 to 250.191.255.254250.191.255.255131,070
97250.192.0.0/15250.192.0.1 to 250.193.255.254250.193.255.255131,070
98250.194.0.0/15250.194.0.1 to 250.195.255.254250.195.255.255131,070
99250.196.0.0/15250.196.0.1 to 250.197.255.254250.197.255.255131,070
100250.198.0.0/15250.198.0.1 to 250.199.255.254250.199.255.255131,070
101250.200.0.0/15250.200.0.1 to 250.201.255.254250.201.255.255131,070
102250.202.0.0/15250.202.0.1 to 250.203.255.254250.203.255.255131,070
103250.204.0.0/15250.204.0.1 to 250.205.255.254250.205.255.255131,070
104250.206.0.0/15250.206.0.1 to 250.207.255.254250.207.255.255131,070
105250.208.0.0/15250.208.0.1 to 250.209.255.254250.209.255.255131,070
106250.210.0.0/15250.210.0.1 to 250.211.255.254250.211.255.255131,070
107250.212.0.0/15250.212.0.1 to 250.213.255.254250.213.255.255131,070
108250.214.0.0/15250.214.0.1 to 250.215.255.254250.215.255.255131,070
109250.216.0.0/15250.216.0.1 to 250.217.255.254250.217.255.255131,070
110250.218.0.0/15250.218.0.1 to 250.219.255.254250.219.255.255131,070
111250.220.0.0/15250.220.0.1 to 250.221.255.254250.221.255.255131,070
112250.222.0.0/15250.222.0.1 to 250.223.255.254250.223.255.255131,070
113250.224.0.0/15250.224.0.1 to 250.225.255.254250.225.255.255131,070
114250.226.0.0/15250.226.0.1 to 250.227.255.254250.227.255.255131,070
115250.228.0.0/15250.228.0.1 to 250.229.255.254250.229.255.255131,070
116250.230.0.0/15250.230.0.1 to 250.231.255.254250.231.255.255131,070
117250.232.0.0/15250.232.0.1 to 250.233.255.254250.233.255.255131,070
118250.234.0.0/15250.234.0.1 to 250.235.255.254250.235.255.255131,070
119250.236.0.0/15250.236.0.1 to 250.237.255.254250.237.255.255131,070
120250.238.0.0/15250.238.0.1 to 250.239.255.254250.239.255.255131,070
121250.240.0.0/15250.240.0.1 to 250.241.255.254250.241.255.255131,070
122250.242.0.0/15250.242.0.1 to 250.243.255.254250.243.255.255131,070
123250.244.0.0/15250.244.0.1 to 250.245.255.254250.245.255.255131,070
124250.246.0.0/15250.246.0.1 to 250.247.255.254250.247.255.255131,070
125250.248.0.0/15250.248.0.1 to 250.249.255.254250.249.255.255131,070
126250.250.0.0/15250.250.0.1 to 250.251.255.254250.251.255.255131,070
127250.252.0.0/15250.252.0.1 to 250.253.255.254250.253.255.255131,070
128250.254.0.0/15250.254.0.1 to 250.255.255.254250.255.255.255131,070
129251.0.0.0/15251.0.0.1 to 251.1.255.254251.1.255.255131,070
130251.2.0.0/15251.2.0.1 to 251.3.255.254251.3.255.255131,070
131251.4.0.0/15251.4.0.1 to 251.5.255.254251.5.255.255131,070
132251.6.0.0/15251.6.0.1 to 251.7.255.254251.7.255.255131,070
133251.8.0.0/15251.8.0.1 to 251.9.255.254251.9.255.255131,070
134251.10.0.0/15251.10.0.1 to 251.11.255.254251.11.255.255131,070
135251.12.0.0/15251.12.0.1 to 251.13.255.254251.13.255.255131,070
136251.14.0.0/15251.14.0.1 to 251.15.255.254251.15.255.255131,070
137251.16.0.0/15251.16.0.1 to 251.17.255.254251.17.255.255131,070
138251.18.0.0/15251.18.0.1 to 251.19.255.254251.19.255.255131,070
139251.20.0.0/15251.20.0.1 to 251.21.255.254251.21.255.255131,070
140251.22.0.0/15251.22.0.1 to 251.23.255.254251.23.255.255131,070
141251.24.0.0/15251.24.0.1 to 251.25.255.254251.25.255.255131,070
142251.26.0.0/15251.26.0.1 to 251.27.255.254251.27.255.255131,070
143251.28.0.0/15251.28.0.1 to 251.29.255.254251.29.255.255131,070
144251.30.0.0/15251.30.0.1 to 251.31.255.254251.31.255.255131,070
145251.32.0.0/15251.32.0.1 to 251.33.255.254251.33.255.255131,070
146251.34.0.0/15251.34.0.1 to 251.35.255.254251.35.255.255131,070
147251.36.0.0/15251.36.0.1 to 251.37.255.254251.37.255.255131,070
148251.38.0.0/15251.38.0.1 to 251.39.255.254251.39.255.255131,070
149251.40.0.0/15251.40.0.1 to 251.41.255.254251.41.255.255131,070
150251.42.0.0/15251.42.0.1 to 251.43.255.254251.43.255.255131,070
151251.44.0.0/15251.44.0.1 to 251.45.255.254251.45.255.255131,070
152251.46.0.0/15251.46.0.1 to 251.47.255.254251.47.255.255131,070
153251.48.0.0/15251.48.0.1 to 251.49.255.254251.49.255.255131,070
154251.50.0.0/15251.50.0.1 to 251.51.255.254251.51.255.255131,070
155251.52.0.0/15251.52.0.1 to 251.53.255.254251.53.255.255131,070
156251.54.0.0/15251.54.0.1 to 251.55.255.254251.55.255.255131,070
157251.56.0.0/15251.56.0.1 to 251.57.255.254251.57.255.255131,070
158251.58.0.0/15251.58.0.1 to 251.59.255.254251.59.255.255131,070
159251.60.0.0/15251.60.0.1 to 251.61.255.254251.61.255.255131,070
160251.62.0.0/15251.62.0.1 to 251.63.255.254251.63.255.255131,070
161251.64.0.0/15251.64.0.1 to 251.65.255.254251.65.255.255131,070
162251.66.0.0/15251.66.0.1 to 251.67.255.254251.67.255.255131,070
163251.68.0.0/15251.68.0.1 to 251.69.255.254251.69.255.255131,070
164251.70.0.0/15251.70.0.1 to 251.71.255.254251.71.255.255131,070
165251.72.0.0/15251.72.0.1 to 251.73.255.254251.73.255.255131,070
166251.74.0.0/15251.74.0.1 to 251.75.255.254251.75.255.255131,070
167251.76.0.0/15251.76.0.1 to 251.77.255.254251.77.255.255131,070
168251.78.0.0/15251.78.0.1 to 251.79.255.254251.79.255.255131,070
169251.80.0.0/15251.80.0.1 to 251.81.255.254251.81.255.255131,070
170251.82.0.0/15251.82.0.1 to 251.83.255.254251.83.255.255131,070
171251.84.0.0/15251.84.0.1 to 251.85.255.254251.85.255.255131,070
172251.86.0.0/15251.86.0.1 to 251.87.255.254251.87.255.255131,070
173251.88.0.0/15251.88.0.1 to 251.89.255.254251.89.255.255131,070
174251.90.0.0/15251.90.0.1 to 251.91.255.254251.91.255.255131,070
175251.92.0.0/15251.92.0.1 to 251.93.255.254251.93.255.255131,070
176251.94.0.0/15251.94.0.1 to 251.95.255.254251.95.255.255131,070
177251.96.0.0/15251.96.0.1 to 251.97.255.254251.97.255.255131,070
178251.98.0.0/15251.98.0.1 to 251.99.255.254251.99.255.255131,070
179251.100.0.0/15251.100.0.1 to 251.101.255.254251.101.255.255131,070
180251.102.0.0/15251.102.0.1 to 251.103.255.254251.103.255.255131,070
181251.104.0.0/15251.104.0.1 to 251.105.255.254251.105.255.255131,070
182251.106.0.0/15251.106.0.1 to 251.107.255.254251.107.255.255131,070
183251.108.0.0/15251.108.0.1 to 251.109.255.254251.109.255.255131,070
184251.110.0.0/15251.110.0.1 to 251.111.255.254251.111.255.255131,070
185251.112.0.0/15251.112.0.1 to 251.113.255.254251.113.255.255131,070
186251.114.0.0/15251.114.0.1 to 251.115.255.254251.115.255.255131,070
187251.116.0.0/15251.116.0.1 to 251.117.255.254251.117.255.255131,070
188251.118.0.0/15251.118.0.1 to 251.119.255.254251.119.255.255131,070
189251.120.0.0/15251.120.0.1 to 251.121.255.254251.121.255.255131,070
190251.122.0.0/15251.122.0.1 to 251.123.255.254251.123.255.255131,070
191251.124.0.0/15251.124.0.1 to 251.125.255.254251.125.255.255131,070
192251.126.0.0/15251.126.0.1 to 251.127.255.254251.127.255.255131,070
193251.128.0.0/15251.128.0.1 to 251.129.255.254251.129.255.255131,070
194251.130.0.0/15251.130.0.1 to 251.131.255.254251.131.255.255131,070
195251.132.0.0/15251.132.0.1 to 251.133.255.254251.133.255.255131,070
196251.134.0.0/15251.134.0.1 to 251.135.255.254251.135.255.255131,070
197251.136.0.0/15251.136.0.1 to 251.137.255.254251.137.255.255131,070
198251.138.0.0/15251.138.0.1 to 251.139.255.254251.139.255.255131,070
199251.140.0.0/15251.140.0.1 to 251.141.255.254251.141.255.255131,070
200251.142.0.0/15251.142.0.1 to 251.143.255.254251.143.255.255131,070
201251.144.0.0/15251.144.0.1 to 251.145.255.254251.145.255.255131,070
202251.146.0.0/15251.146.0.1 to 251.147.255.254251.147.255.255131,070
203251.148.0.0/15251.148.0.1 to 251.149.255.254251.149.255.255131,070
204251.150.0.0/15251.150.0.1 to 251.151.255.254251.151.255.255131,070
205251.152.0.0/15251.152.0.1 to 251.153.255.254251.153.255.255131,070
206251.154.0.0/15251.154.0.1 to 251.155.255.254251.155.255.255131,070
207251.156.0.0/15251.156.0.1 to 251.157.255.254251.157.255.255131,070
208251.158.0.0/15251.158.0.1 to 251.159.255.254251.159.255.255131,070
209251.160.0.0/15251.160.0.1 to 251.161.255.254251.161.255.255131,070
210251.162.0.0/15251.162.0.1 to 251.163.255.254251.163.255.255131,070
211251.164.0.0/15251.164.0.1 to 251.165.255.254251.165.255.255131,070
212251.166.0.0/15251.166.0.1 to 251.167.255.254251.167.255.255131,070
213251.168.0.0/15251.168.0.1 to 251.169.255.254251.169.255.255131,070
214251.170.0.0/15251.170.0.1 to 251.171.255.254251.171.255.255131,070
215251.172.0.0/15251.172.0.1 to 251.173.255.254251.173.255.255131,070
216251.174.0.0/15251.174.0.1 to 251.175.255.254251.175.255.255131,070
217251.176.0.0/15251.176.0.1 to 251.177.255.254251.177.255.255131,070
218251.178.0.0/15251.178.0.1 to 251.179.255.254251.179.255.255131,070
219251.180.0.0/15251.180.0.1 to 251.181.255.254251.181.255.255131,070
220251.182.0.0/15251.182.0.1 to 251.183.255.254251.183.255.255131,070
221251.184.0.0/15251.184.0.1 to 251.185.255.254251.185.255.255131,070
222251.186.0.0/15251.186.0.1 to 251.187.255.254251.187.255.255131,070
223251.188.0.0/15251.188.0.1 to 251.189.255.254251.189.255.255131,070
224251.190.0.0/15251.190.0.1 to 251.191.255.254251.191.255.255131,070
225251.192.0.0/15251.192.0.1 to 251.193.255.254251.193.255.255131,070
226251.194.0.0/15251.194.0.1 to 251.195.255.254251.195.255.255131,070
227251.196.0.0/15251.196.0.1 to 251.197.255.254251.197.255.255131,070
228251.198.0.0/15251.198.0.1 to 251.199.255.254251.199.255.255131,070
229251.200.0.0/15251.200.0.1 to 251.201.255.254251.201.255.255131,070
230251.202.0.0/15251.202.0.1 to 251.203.255.254251.203.255.255131,070
231251.204.0.0/15251.204.0.1 to 251.205.255.254251.205.255.255131,070
232251.206.0.0/15251.206.0.1 to 251.207.255.254251.207.255.255131,070
233251.208.0.0/15251.208.0.1 to 251.209.255.254251.209.255.255131,070
234251.210.0.0/15251.210.0.1 to 251.211.255.254251.211.255.255131,070
235251.212.0.0/15251.212.0.1 to 251.213.255.254251.213.255.255131,070
236251.214.0.0/15251.214.0.1 to 251.215.255.254251.215.255.255131,070
237251.216.0.0/15251.216.0.1 to 251.217.255.254251.217.255.255131,070
238251.218.0.0/15251.218.0.1 to 251.219.255.254251.219.255.255131,070
239251.220.0.0/15251.220.0.1 to 251.221.255.254251.221.255.255131,070
240251.222.0.0/15251.222.0.1 to 251.223.255.254251.223.255.255131,070
241251.224.0.0/15251.224.0.1 to 251.225.255.254251.225.255.255131,070
242251.226.0.0/15251.226.0.1 to 251.227.255.254251.227.255.255131,070
243251.228.0.0/15251.228.0.1 to 251.229.255.254251.229.255.255131,070
244251.230.0.0/15251.230.0.1 to 251.231.255.254251.231.255.255131,070
245251.232.0.0/15251.232.0.1 to 251.233.255.254251.233.255.255131,070
246251.234.0.0/15251.234.0.1 to 251.235.255.254251.235.255.255131,070
247251.236.0.0/15251.236.0.1 to 251.237.255.254251.237.255.255131,070
248251.238.0.0/15251.238.0.1 to 251.239.255.254251.239.255.255131,070
249251.240.0.0/15251.240.0.1 to 251.241.255.254251.241.255.255131,070
250251.242.0.0/15251.242.0.1 to 251.243.255.254251.243.255.255131,070
251251.244.0.0/15251.244.0.1 to 251.245.255.254251.245.255.255131,070
252251.246.0.0/15251.246.0.1 to 251.247.255.254251.247.255.255131,070
253251.248.0.0/15251.248.0.1 to 251.249.255.254251.249.255.255131,070
254251.250.0.0/15251.250.0.1 to 251.251.255.254251.251.255.255131,070
255251.252.0.0/15251.252.0.1 to 251.253.255.254251.253.255.255131,070
256251.254.0.0/15251.254.0.1 to 251.255.255.254251.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses